Printable version

Drivers & software

** CRITICAL ** HP Version Control Agent for Linux

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Software - System Management
Version: 7.3.5-0(5 Jun 2015)
Operating System(s): Red Hat Enterprise Linux 3 (AMD64/EM64T)
Red Hat Enterprise Linux 3 (x86)
Red Hat Enterprise Linux 4 (AMD64/EM64T)
Red Hat Enterprise Linux 4 (x86)
Red Hat Enterprise Linux 5 Server (x86)
Red Hat Enterprise Linux 5 Server (x86-64)
Red Hat Enterprise Linux 6 Server (x86)
Red Hat Enterprise Linux 6 Server (x86-64)
SUSE Linux Enterprise Server 10 (AMD64/EM64T)
SUSE Linux Enterprise Server 10 (x86)
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (x86)
SUSE Linux Enterprise Server 8
SUSE Linux Enterprise Server 8 (AMD64)
SUSE Linux Enterprise Server 9 (AMD64/EM64T)
SUSE Linux Enterprise Server 9 (x86)
File name: hpvca-7.3.5-0.noarch.rpm (6.8 MB)
Version Control Agent enables management of the HP ProLiant software and firmware on the system, in conjunction with the HP ProLiant Version Control Repository Manager.

Prerequisites:
Install the latest HP System Management Homepage (hpsmh RPM) from the following link :
http://h18002.www1.hp.com/products/servers/management/agents/index.html




To ensure the integrity of your download, HP recommends verifying your results with this MD5 Checksum value:

1da004600ca8753af0dba96b00a735f7 hpvca-7.3.5-0.noarch.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:
Login as the system administrator (root), download the RPM to a directory on your hard drive and change to that directory.

Run "rpm -Uvh hpvca-< version >.linux.rpm" command to install.


End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Critical - HP requires users update to this version immediately.


Important:
Enable automatic update or Perform "Update from hp.com now" in Version Control Repository Manager to obtain the latest HP Smart Update Manager (HPSUM) or manually download Linux HPSUM from http://hp.com/go/hpsum and place in repository folder of Version Control Repository Manager Version 6.1 and above.

HPSUM is recommended for the deployment of software and firmware that are stored in the repository.


Upgrade Requirement:
Critical - HP requires users update to this version immediately.


  • Patched to address DOS Vulnerability CVE-2015-0291 (https://www.openssl.org/news/secadv_20150319.txt)
Enable automatic update or Perform "Update from hp.com now" in Version Control Repository Manager to obtain the latest HP Smart Update Manager (HPSUM) or manually download Linux HPSUM from http://hp.com/go/hpsum and place in repository folder of Version Control Repository Manager Version 6.1 and above.

HPSUM is recommended for the deployment of software and firmware that are stored in the repository.
Version:7.3.5-0 (5 Jun 2015)
Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


  • Patched to address DOS Vulnerability CVE-2015-0291 (https://www.openssl.org/news/secadv_20150319.txt)

Version:7.3.4-0 (4 Mar 2015)
Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


Patched to address SSL/TLS MITM Vulnerability CVE-2014-3566 (https://www.openssl.org/news/secadv_20141015.txt)


Version:7.3.3-0 (23 Jun 2014)
Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


Patched to address SSL/TLS MITM Vulnerability CVE-2014-0224 (http://www.openssl.org/news/secadv_20140605.txt)


Version:7.3.2-0 (25 Apr 2014)
Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


Provides fix for CVE-2014-0160.


Version:7.3.0-0 (3 Dec 2013)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • HP Smart Update Manager 6.0
  • Security: changed default cipher to securely connect to HP System Management Homepage 7.3

Version:7.2.2-0(A) (20 Aug 2013)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Improved internal file handle to prevent service failures
  • Updated to OpenSSL v1.0.1.5
Enhancements

  • Support events pass through HP System Insight Manager secured ports

Version:7.2.0-0 (19 Feb 2013)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Only administrators are allowed to clear the Version Control log
Added user ID in Version Control logs


Version:7.1.2-0 (26 Oct 2012)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updates for Smart Array firmware not displayed in VCA inventory
Few Components displayed multiple times in VCA inventory


Version:7.1.0-6 (4 Sep 2012)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Enhancement:support for model number based filtering in report page


Version:7.1.0-5 (4 Jun 2012)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Enhancement:support for model number based filtering in report page


Version:7.0.0-12 (27 Mar 2012)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Updated OpenSSL to recent and stable version 1.0.0e
              Includes bug fixes and security fixes.
  • Improved component filter logic to download and deploy only applicable component from Software baseline or Service Pack for ProLiant.
Enhancements

Added the following support: 

  • HP Service Pack for ProLiant (SPP)
              Set as Reference Support Pack
              Deploy from VCA home page and through HP SIM.
  • Authenticate VCRM using SMH trusted servers certificates.

Version:6.3.0-8 (11 Mar 2011)
Fixes

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


 

  • VCA Log does not show "clear the log" button
Enhancements

 

      Added support for DL 980 firmware udpate

 


Version:6.2.1-1 (15 Dec 2010)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


 

  • Version Control agent fail to install when optional ncurses library is not present on the system
Enhancements

 

  • Supports instalation on RHEL6

Version:6.2.0-8 (10 Sep 2010)
Fixes

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


 

  • VCA Log does not show "clear the log" button
Enhancements

 

  • New option to set "required software"  against a  custom support pack.
  • New user interface to display the missing software based on a custom support pack.
  • Support added to contribute to the reporting feature available from VCRM

Version:6.1.0-7 (13 May 2010)
Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


 

  • VCA fails to install  some drivers from Linux Support Packs.
Enhancements

 

    • Automatically resolves RPM dependancies
    • Install RPM based support packs and components.
    • Performance enhancements to improve download and installation of packages
    • User interface integrated into system management homepage

Version:6.1.0-5 (8 Mar 2010)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


 

    • Automatically resolves RPM dependancies
    • Install RPM based support packs and components.
    • Performance enhancements to improve download and installation of packages
    • User interface integrated into system management homepage

Version:2.2.2-2 (8 Dec 2009)
Fixes

 

    • VCA throws exception after software status polling
    • If, in error, a user selects a package that should not be installed on the target system during an HPSIM install task, then VCA enters an infinite loop where it continues to download the package to the target system.
    • Pre-configuration of VCA in LDU does not work

Version:2.2.1-3 (14 Sep 2009)
Fixes

 

    • Fixed  RPM pckage consistancy errors and warnings ( rpm -V )
Enhancements

 

    • VCA package is now a  non interactive RPM package
    • Added command line configuration tool.

Version:2.2.1-2 (7 Apr 2009)
Fixes

 

    • Fixed  RPM pckage consistancy errors and warnings ( rpm -V )
Enhancements

 

    • VCA package is now a  non interactive RPM package
    • Added command line configuration tool.

Version:2.2.0-9 (19 Feb 2009)
Fixes

 

    • When primary node is down in clustered VCRM, PSP deployment through  VCA fails
Enhancements

 

    • Supports IPV6 
    • New! Support for online system firmware update.
    • New! Ability to select and install multiple components.
    • New ! Ability to install RPM packages.

Version:2.1.9-7 (2 Jul 2008)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Support for componentized installer that can be integrated into VCA


Version:2.1.9-6 (26 Feb 2008)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Support for componentized installer that can be integrated into VCA


Version:2.1.8-3 (4 Apr 2007)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Enhanced to support RHEL5.


Version:2.1.7-1 (14 Dec 2006)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Enhanced to support Smart Start 7.70 release.


Version:2.1.5-8 (25 Sep 2006)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Password re-verification for "Change Agent Settings".

Upgraded to handle SLES10 component deployment.


Version:2.1.4-10 (13 Apr 2006)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Implemented a security vulnerability update.

Updated the Log aging set to a default value of 90 days.


Version:2.1.2-13 (9 Sep 2005)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Integrated the latest Japanese help files.


Version:2.1.1-16 (4 May 2005)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Maintenance release for SmartStart 7.30.


Version:2.1.0-15 (28 Feb 2005)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Supports Red Hat Enterprise Linux 4.


Version:2.1.0-14 (14 Feb 2005)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for:

    SUSE LINUX Enterprise Server 9 (x86)
    Red Hat Enterprise Linux 3 (AMD64/EM64T)
    SUSE LINUX Enterprise Server 8 (AMD64)
    SUSE LINUX Enterprise Server 9 (AMD64/EM64T)
Updated to use the newly released System Management Homepage.

Modified overall software status to be based on an exact match with the software versions in a configured Reference Support Pack.


Version:2.0.7-26 (31 Aug 2004)
Enhancements
Added a "printer" button for printing software status and inventory.

Updated to include version 5.94 of the System Management Homepage HTTP Server.


Version:2.0.1-18 (19 Dec 2003)
Enhancements
Initial release.

Type: Software - System Management
Version: 7.3.5-0(5 Jun 2015)
Operating System(s):
Red Hat Enterprise Linux 3 (AMD64/EM64T)
Red Hat Enterprise Linux 3 (x86)
Red Hat Enterprise Linux 4 (AMD64/EM64T)
Red Hat Enterprise Linux 4 (x86)
Red Hat Enterprise Linux 5 Server (x86)
Red Hat Enterprise Linux 5 Server (x86-64)
Red Hat Enterprise Linux 6 Server (x86)
Red Hat Enterprise Linux 6 Server (x86-64)
SUSE Linux Enterprise Server 10 (AMD64/EM64T)
SUSE Linux Enterprise Server 10 (x86)
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (x86)
SUSE Linux Enterprise Server 8
SUSE Linux Enterprise Server 8 (AMD64)
SUSE Linux Enterprise Server 9 (AMD64/EM64T)
SUSE Linux Enterprise Server 9 (x86)

Description

Version Control Agent enables management of the HP ProLiant software and firmware on the system, in conjunction with the HP ProLiant Version Control Repository Manager.

Installation Instructions

Prerequisites:
Install the latest HP System Management Homepage (hpsmh RPM) from the following link :
http://h18002.www1.hp.com/products/servers/management/agents/index.html




To ensure the integrity of your download, HP recommends verifying your results with this MD5 Checksum value:

1da004600ca8753af0dba96b00a735f7 hpvca-7.3.5-0.noarch.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:
Login as the system administrator (root), download the RPM to a directory on your hard drive and change to that directory.

Run "rpm -Uvh hpvca-< version >.linux.rpm" command to install.


Release Notes

End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Critical - HP requires users update to this version immediately.


Important:
Enable automatic update or Perform "Update from hp.com now" in Version Control Repository Manager to obtain the latest HP Smart Update Manager (HPSUM) or manually download Linux HPSUM from http://hp.com/go/hpsum and place in repository folder of Version Control Repository Manager Version 6.1 and above.

HPSUM is recommended for the deployment of software and firmware that are stored in the repository.


Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


  • Patched to address DOS Vulnerability CVE-2015-0291 (https://www.openssl.org/news/secadv_20150319.txt)

Important

Enable automatic update or Perform "Update from hp.com now" in Version Control Repository Manager to obtain the latest HP Smart Update Manager (HPSUM) or manually download Linux HPSUM from http://hp.com/go/hpsum and place in repository folder of Version Control Repository Manager Version 6.1 and above.

HPSUM is recommended for the deployment of software and firmware that are stored in the repository.

Revision History

Version:7.3.5-0 (5 Jun 2015)
Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


  • Patched to address DOS Vulnerability CVE-2015-0291 (https://www.openssl.org/news/secadv_20150319.txt)

Version:7.3.4-0 (4 Mar 2015)
Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


Patched to address SSL/TLS MITM Vulnerability CVE-2014-3566 (https://www.openssl.org/news/secadv_20141015.txt)


Version:7.3.3-0 (23 Jun 2014)
Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


Patched to address SSL/TLS MITM Vulnerability CVE-2014-0224 (http://www.openssl.org/news/secadv_20140605.txt)


Version:7.3.2-0 (25 Apr 2014)
Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


Provides fix for CVE-2014-0160.


Version:7.3.0-0 (3 Dec 2013)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • HP Smart Update Manager 6.0
  • Security: changed default cipher to securely connect to HP System Management Homepage 7.3

Version:7.2.2-0(A) (20 Aug 2013)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Improved internal file handle to prevent service failures
  • Updated to OpenSSL v1.0.1.5
Enhancements

  • Support events pass through HP System Insight Manager secured ports

Version:7.2.0-0 (19 Feb 2013)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Only administrators are allowed to clear the Version Control log
Added user ID in Version Control logs


Version:7.1.2-0 (26 Oct 2012)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updates for Smart Array firmware not displayed in VCA inventory
Few Components displayed multiple times in VCA inventory


Version:7.1.0-6 (4 Sep 2012)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Enhancement:support for model number based filtering in report page


Version:7.1.0-5 (4 Jun 2012)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Enhancement:support for model number based filtering in report page


Version:7.0.0-12 (27 Mar 2012)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Updated OpenSSL to recent and stable version 1.0.0e
              Includes bug fixes and security fixes.
  • Improved component filter logic to download and deploy only applicable component from Software baseline or Service Pack for ProLiant.
Enhancements

Added the following support: 

  • HP Service Pack for ProLiant (SPP)
              Set as Reference Support Pack
              Deploy from VCA home page and through HP SIM.
  • Authenticate VCRM using SMH trusted servers certificates.

Version:6.3.0-8 (11 Mar 2011)
Fixes

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


 

  • VCA Log does not show "clear the log" button
Enhancements

 

      Added support for DL 980 firmware udpate

 


Version:6.2.1-1 (15 Dec 2010)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


 

  • Version Control agent fail to install when optional ncurses library is not present on the system
Enhancements

 

  • Supports instalation on RHEL6

Version:6.2.0-8 (10 Sep 2010)
Fixes

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


 

  • VCA Log does not show "clear the log" button
Enhancements

 

  • New option to set "required software"  against a  custom support pack.
  • New user interface to display the missing software based on a custom support pack.
  • Support added to contribute to the reporting feature available from VCRM

Version:6.1.0-7 (13 May 2010)
Fixes

Upgrade Requirement:
Critical - HP requires users update to this version immediately.


 

  • VCA fails to install  some drivers from Linux Support Packs.
Enhancements

 

    • Automatically resolves RPM dependancies
    • Install RPM based support packs and components.
    • Performance enhancements to improve download and installation of packages
    • User interface integrated into system management homepage

Version:6.1.0-5 (8 Mar 2010)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


 

    • Automatically resolves RPM dependancies
    • Install RPM based support packs and components.
    • Performance enhancements to improve download and installation of packages
    • User interface integrated into system management homepage

Version:2.2.2-2 (8 Dec 2009)
Fixes

 

    • VCA throws exception after software status polling
    • If, in error, a user selects a package that should not be installed on the target system during an HPSIM install task, then VCA enters an infinite loop where it continues to download the package to the target system.
    • Pre-configuration of VCA in LDU does not work

Version:2.2.1-3 (14 Sep 2009)
Fixes

 

    • Fixed  RPM pckage consistancy errors and warnings ( rpm -V )
Enhancements

 

    • VCA package is now a  non interactive RPM package
    • Added command line configuration tool.

Version:2.2.1-2 (7 Apr 2009)
Fixes

 

    • Fixed  RPM pckage consistancy errors and warnings ( rpm -V )
Enhancements

 

    • VCA package is now a  non interactive RPM package
    • Added command line configuration tool.

Version:2.2.0-9 (19 Feb 2009)
Fixes

 

    • When primary node is down in clustered VCRM, PSP deployment through  VCA fails
Enhancements

 

    • Supports IPV6 
    • New! Support for online system firmware update.
    • New! Ability to select and install multiple components.
    • New ! Ability to install RPM packages.

Version:2.1.9-7 (2 Jul 2008)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Support for componentized installer that can be integrated into VCA


Version:2.1.9-6 (26 Feb 2008)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Support for componentized installer that can be integrated into VCA


Version:2.1.8-3 (4 Apr 2007)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Enhanced to support RHEL5.


Version:2.1.7-1 (14 Dec 2006)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Enhanced to support Smart Start 7.70 release.


Version:2.1.5-8 (25 Sep 2006)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Password re-verification for "Change Agent Settings".

Upgraded to handle SLES10 component deployment.


Version:2.1.4-10 (13 Apr 2006)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Implemented a security vulnerability update.

Updated the Log aging set to a default value of 90 days.


Version:2.1.2-13 (9 Sep 2005)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Integrated the latest Japanese help files.


Version:2.1.1-16 (4 May 2005)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Maintenance release for SmartStart 7.30.


Version:2.1.0-15 (28 Feb 2005)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Supports Red Hat Enterprise Linux 4.


Version:2.1.0-14 (14 Feb 2005)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for:

    SUSE LINUX Enterprise Server 9 (x86)
    Red Hat Enterprise Linux 3 (AMD64/EM64T)
    SUSE LINUX Enterprise Server 8 (AMD64)
    SUSE LINUX Enterprise Server 9 (AMD64/EM64T)
Updated to use the newly released System Management Homepage.

Modified overall software status to be based on an exact match with the software versions in a configured Reference Support Pack.


Version:2.0.7-26 (31 Aug 2004)
Enhancements
Added a "printer" button for printing software status and inventory.

Updated to include version 5.94 of the System Management Homepage HTTP Server.


Version:2.0.1-18 (19 Dec 2003)
Enhancements
Initial release.

Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.